QGIS Application - Bug report #12863
Using localized QGIS attribute table feature counts in title bar is broken
2015-06-03 06:57 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Translations and international

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20955
Description

in master commit:6a019ad, title bar of attribute table shows feature counts with variable names instead of classical "total: xx, filtered, xx,
selected: xx"

see snapshot

Associated revisions

Revision d53d30d2 - 2015-06-03 11:41 PM - Jiirgen Fischer

fix style selection when loading from database (fixes #12863)

Revision b8a3a6f6 - 2015-06-29 06:44 PM - Jiirgen Fischer

fix style selection when loading from database (fixes #12863)

(cherry picked from commit d53d30d29023be261cabcd9bce9cfaac60d6ef78)

History

#1 - 2015-06-03 07:27 AM - Saber Razmjooei
- Status changed from Open to Feedback
- File selection_attribute_table.PNG added

Works fine for me. See attached.

#2 - 2015-06-03 07:28 AM - Saber Razmjooei

- Affected QGIS version changed from 2.8.2 to master

#3 - 2015-06-03 07:44 AM - Giovanni Manghi

- Target version changed from Version 2.10 to Future Release - High Priority

- Subject changed from Attribute table feature counts broken to Using localized QGIS attribute table feature counts in title bar is broken

- Status changed from Feedback to Open
- Priority changed from High to Severe/Regression

it just happens if you choose a language different from EN.
https://drive.google.com/open?id=0BzatQbprJ-hjMU9hU3JORjV3N0k&#38;authuser=0

#4 - 2015-06-03 09:33 AM - Jiirgen Fischer
- Category changed from Attribute table to Translations and international

#5 - 2015-06-03 09:44 AM - Jiirgen Fischer
Giovanni Manghi wrote:

it just happens if you choose a language different from EN.
Not any - de was ok. fr and pt_PT should be ok now too. Apparently {1 ?}{2,?} {3,?} should be removed from the translation.

#6 - 2015-06-03 02:52 PM - Juirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"d53d30d29023be261ca6cd9bce9cfaac60d6ef78".

#7 - 2015-06-04 01:34 AM - Jiirgen Fischer

- Status changed from Closed to Reopened
Sorry, commit wrongly attributed. As said de, fr, pt_PT should be already fixed - but | didn't check others.

#8 - 2015-06-06 08:22 AM - Giovanni Manghi
Jurgen Fischer wrote:

but I didn't check others.
italian is also affected. | tested a bunch of other common languages and they seem ok.

#9 - 2015-06-06 10:16 AM - Jiirgen Fischer
- Status changed from Reopened to Closed
- Resolution set to fixed/implemented

Giovanni Manghi wrote:
Jirgen Fischer wrote:

| but 1 dian't check others.
| italian is also affected. | tested a bunch of other common languages and they seem ok.

Also fixed it and nl.

2025-04-27 2/3



#10 - 2015-06-06 10:26 AM - Jiirgen Fischer

See also transifex

Files

selection_attribute_table.PNG 8.96 KB 2015-06-03 Saber Razmjooei
https://www.transifex.com/organization/qgis/team/21578/discussion/12953/

